upstream coton_app_unicorn {
        server unix:/srv/www/web/coton_app/shared/tmp/unicorn.sock fail_timeout=0;
}

server {
        listen [::]:443 ssl;
        server_name  shop.biocoton.net;
        root /srv/www/web/coton_app/current/public;
        try_files $uri/index.html $uri @unicorn;

        location @unicorn {
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                proxy_set_header Host $http_host;
                proxy_redirect off;
                proxy_pass http://coton_app_unicorn;
                proxy_read_timeout 6000;
        }

        error_page 500 502 503 504 /500.html;
        client_max_body_size 4G;
        keepalive_timeout 10;

  ssl on;
  ssl_certificate /etc/letsencrypt/live/shop.biocoton.net/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/shop.biocoton.net/privkey.pem;


  include snippets/letsencrypt.conf;
}


server {
        listen [::]:80;
  server_name  shop.biocoton.net *.shop.biocoton.net biocoton.quartz.xyz;

  return 301 https://shop.biocoton.net$request_uri;

  include snippets/letsencrypt.conf;
}

server {
        listen [::]:443 ssl;
  server_name  www.shop.biocoton.net biocoton.quartz.xyz;
  ssl on;
  ssl_certificate /etc/letsencrypt/live/shop.biocoton.net/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/shop.biocoton.net/privkey.pem;

  return 301 https://shop.biocoton.net$request_uri;

  include snippets/letsencrypt.conf;
}



